"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = getAPIURL;

/**
 * Returns the API URL for the given page
 * @param {String} pageURI The page URI
 * @return {String}
 */
function getAPIURL(pageURI) {
  var parsed = new URL(pageURI, 'http://throwaway.com');

  if (typeof __NEXT_DATA__ !== 'undefined') {
    parsed.searchParams.append('__v__', __NEXT_DATA__.buildId);
  }

  return '/api' + parsed.pathname.replace(/\/$/, '') + parsed.search;
}
//# sourceMappingURL=getAPIURL.js.map